DWARF_GET_ADDRESS_SIZE(3) | Library Functions Manual | DWARF_GET_ADDRESS_SIZE(3)

# NAME

`dwarf_get_address_size` —
return the number of bytes needed to represent an address

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

`#include <libdwarf.h>`

int
`dwarf_get_address_size`(Dwarf_Debug dbg, Dwarf_Half *addr_size, Dwarf_Error *err);

# DESCRIPTION

Function `dwarf_get_address_size`() returns the size in bytes of a native address for a program object.

Argument dbg should denote a DWARF debug context created from a program object using dwarf_init(3). Argument addr_size should point to a location that will hold the returned size. Argument err, if non-NULL, it will be used to return error information.

# RETURN VALUES

On success, function `dwarf_tag`() returns `DW_DLV_OK`. In case of an error, it returns `DW_DLV_ERROR` and sets argument err.

# ERRORS

Function `dwarf_get_address_size`() can fail with the following error:

[`DW_DLE_ARGUMENT`]
  Either of arguments dbg or addr_size was NULL.

# SEE ALSO

dwarf(3), dwarf_init(3), dwarf_finish(3)

April 14, 2010 | NetBSD 9.5